# Week 14

**This weeks quiz:** https://go.uwe.ac.uk/ctapQuiz

This week we will be looking at  error handling and testing, two important concepts in software development and also in computational thinking as the management of errors can drive considerable changes to designs and testing can also be used to solve problems (we'll touch on the concept of test driven development for example)!


## This week you are working on...

### 👉 [THIS WEEKS TASK](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/practicals/week12/tasks.md?ref_type=heads) 👈

## Have already completed ...

All tasks up to week 12. If you have not done week 11's work on your assessment work, you should work with your tutor to make sure you catch up!
## By the end of the week...

... you should have completed:

- The tasks provided in `ctap-resources/practicals/week14/tasks.md`

## Resources
- [Chapter 12 of Computational thinking: a beginner's guide to problem-solving and programming](https://blackboard.uwe.ac.uk/webapps/blackboard/content/listContentEditable.jsp?content_id=_9740235_1&course_id=_358486_1&mode=reset)
- [practicals/week12/tasks.md]()
- [Slides](https://go.uwe.ac.uk/ctapSlides)
- [Markdown Guide](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/markdown.md?ref_type=heads)

### External resources

#### Learning Python 
- [Linked in Learning - Python Exceptions](https://www.linkedin.com/learning/python-essential-training-18764650/errors-and-exceptions?resume=false&u=56744785)
- Python: [exceptions](https://docs.python.org/3/tutorial/errors.html)
- [Learn Python .org's interactive python tutorials](https://www.learnpython.org/)
- W3 schools [tutorial and reference](https://www.w3schools.com/python/)
- Raspberry Pi Foundation [tutorials](https://projects.raspberrypi.org/en/pathways/python-intro?gclid=Cj0KCQjwpompBhDZARIsAFD_Fp8FpuLGfd6v863VziU4rGdV-ZHkcnu-bhjB0KuGS1fyYLBHiXpazGcaAnGuEALw_wcB)
-  [Python in 100 seconds](https://www.youtube.com/watch?v=x7X9w_GIm1s)
- Learn [python in 1 hour](https://www.youtube.com/watch?v=kqtD5dpn9C8)
